QGIS Application - Bug report #17806
[Digitizing] Selected vertices in the map canvas are not shown in the Node editor panel
2018-01-05 04:48 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee: Denis Rouzaud

Category: Digitising

Affected QGIS version:3.7(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25702
Description

Select vertices of a feature, right-click select the node editor
In the new panel, no selection is shown.
The old vertex editor has this capability which is really handy

Related issues:

Related to QGIS Application - Bug report # 19911: The vertex editor is not sy... Closed 2018-09-21
Duplicated by QGIS Application - Bug report # 19138: Hightlight vertex on map... Closed 2018-06-07
History

#1 - 2018-01-05 05:32 PM - Saber Razmjooei

The selection from node editor also is different from the the node tool (shown with different symbols). See also #17752

#2 - 2018-02-22 07:44 PM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2018-06-07 02:46 PM - matteo ghetta
- Duplicated by Bug report #19138: Hightlight vertex on map canvas in vertex table added

#4 - 2018-06-07 02:47 PM - matteo ghetta

- Assignee set to Denis Rouzaud

#5 - 2018-09-21 01:07 PM - Harrissou Santanna
- Related to Bug report #19911: The vertex editor is not synchronized with vertex movements in edit mode added

#6 - 2018-09-21 01:40 PM - Denis Rouzaud

| will try to look at this during this bugfix period but it is not trivial.
I had a look last time and did not go further because we were out of funds in the bugfixing.

#7 - 2018-09-21 02:08 PM - Harrissou Santanna

Thanks, Denis

#8 - 2018-12-28 12:20 PM - Paolo Cavallini
Could you please check again on current release?
Thanks.

#9 - 2018-12-28 03:05 PM - Giovanni Manghi
- Status changed from Open to Feedback

Paolo Cavallini wrote:

Could you please check again on current release?
Thanks.

Please change status to "feedback" when needed.

#10 - 2019-01-09 08:14 PM - Harrissou Santanna
- Status changed from Feedback to Open

The issue is still there. Actually, it looks like it's worse, or at least weirder:

Case 1

1. Select a vertex on a feature. It got a filled blue circle marker

2. right-click and open the Vertex Editor panel

3. In the panel, the vertex is shown in bold and in the map canvas, it's shown as both the circle blue and a square blue

4. The square blue marker can be confirmed by graphically selecting other vertices: the selected ones are plain blue circles while the first one is shown as a
square blue ring.

At the same time, the vertex editor still shows in bold the first feature you selected (and which is unselected currently)

5. If ever you press DEL, you remove the graphically selected vertices (blue filled circle), not the one in the panel

==> Graphical vertices Selection is not updated in the vertex editor panel

Case 2

1. With the vertex editor opened, select a vertex in the map canvas. As seen above, nothing should happen in the editor.
2. select a row in the editor. The corresponding vertex is shown as blue square

3. So you have in the canvas blue filled circle and blue squared ring

3. press DEL: now it's the vertex with square marker that is deleted, not the one that has a selection rendering.

This is an umpredictable behavior

While testing, | also found out that:

1. You can not select multiple rows in the editor and delete their vertices at once: only the last selected vertex is removed from the feature. You need to
repeat the process for each.

2. Removing vertex (either graphically or using the editor) does not update the editor: you still have the same number of rows as its opening. Or when
there's a change, it shows empty rows.

I don't know if these are already reported.

#11 - 2019-03-09 04:34 PM - Giovanni Manghi
- Status changed from Open to Feedback
Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#12 - 2019-03-09 07:25 PM - Harrissou Santanna

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

- Affected QGIS version changed from master to 3.7(master)

Afaict, there seems to be coherence between canvas and vertex panel.
